import { BrowserRouter as Router, Routes, Route } from 'react-router-dom'; // Importe les composants de routage
import JobSearch from './components/JobSearch';
import JobDetail from './components/JobDetail'; // Importe le nouveau composant de détail

function App() {
  return (
    <Router> {/* Enveloppe toute l'application dans le routeur */}
      <div className="App">
        <Routes> {/* Définit les routes */}
          <Route path="/" element={<JobSearch />} /> {/* Route pour la recherche d'offres */}
          <Route path="/jobs/:id" element={<JobDetail />} /> {/* Route pour le détail d'une offre */}
        </Routes>
      </div>
    </Router>
  );
}

export default App;
