export interface JobOffer {
  id: string;
  title: string;
  description: string;
  publicationDate: string; // Ou Date, si vous traitez les dates côté frontend
  romeCode?: string;
  romeLabel?: string;
  locationLabel?: string;
  postalCode?: string;
  departmentCode?: string;
  cityName?: string;
  companyName?: string;
  contractType?: string;
  contractLabel?: string;
  urlOffre?: string; // <-- Assurez-vous que ce champ existe
  contact?: { // Si vous avez ingéré les infos de contact
    urlPostulation?: string;
  };
  origineOffre?: { // Si vous avez ingéré les infos d'origine
    urlOrigine?: string;
  };
  // Ajoutez d'autres champs si votre modèle Prisma JobOffer en contient
}

export interface JobSearchResponse {
  jobs: JobOffer[];
  total: number;
  page: number;
  limit: number;
}